Skip to main content
`Ctrl`+`K`
scipy.sparse.

# swapaxes

scipy.sparse.swapaxes(A, axis1, axis2)

  Interchange two axes of an array.

  Parameters:
    A sparse array
    axis1 int

      First axis.

    axis2 int

      Second axis.

  Returns:
    a_swapped sparse array in COO format

      A copy of the input array with the two identified axes swapped.

  Raises:
    ValueError

      If provided a non-integer or out of range `[-N, N-1]` axis, where `N` is `A.ndim`.

  Examples

      >>> from scipy.sparse import coo_array, swapaxes
      >>> A = coo_array([[[1, 2, 3], [2, 0, 0]]])
      >>> A.shape
      (1, 2, 3)
      >>> swapaxes(A, 1, 2).shape
      (1, 3, 2)